<?php

/**
 * @author: Lukasz Sosna
 * @copyright: 2017-11-29
 * @e-mail: tree@interia.pl
 * @www: http://en.lukasz.sos.pl/
 * @version: 1.0.0
 */
 
namespace app\models;

use Yii;

class Articleadmin extends \yii\db\ActiveRecord
{
    public static function tableName()
    {
        return '{{%article}}';
    }
    
    public function rules()
    {
        return [
            [['article_title', 'article_text', 'article_author', 'article_date', 'article_url'], 'required'],
            [['article_text'], 'string'],
            [['article_date'], 'safe'],
            [['article_title'], 'string', 'max' => 150],
            [['article_author'], 'string', 'max' => 55],
            [['article_url'], 'string', 'max' => 65],
        ];
    }
    
    public function attributeLabels()
    {
        return [
                'article_id' => Yii::t('app', 'art_id'),
                'article_title' => Yii::t('app', 'art_title'),
                'article_text' => Yii::t('app', 'art_content'),
                'article_author' => Yii::t('app', 'art_author'),
                'article_date' => Yii::t('app', 'art_data'),
                'article_url' => Yii::t('app', 'art_url'),
        ];
    }
}
