<?php

/**
 * @author: Lukasz Sosna
 * @copyright: 2017-11-29
 * @e-mail: tree@interia.pl
 * @www: http://en.lukasz.sos.pl/
 * @version: 1.0.0
 */
 
namespace app\models;

use Yii;

class Pageadmin extends \yii\db\ActiveRecord
{
    public static function tableName()
    {
        return '{{%page}}';
    }

    public function rules()
    {
        return [
            [['page_title', 'page_text', 'page_url'], 'required'],
            [['page_text'], 'string'],
            [['page_title', 'page_url'], 'string', 'max' => 150],
        ];
    }

    public function attributeLabels()
    {
        return [
            'page_id' => Yii::t('app', 'page_id'),
            'page_title' => Yii::t('app', 'page_title'),
            'page_text' => Yii::t('app', 'page_text'),
            'page_url' => Yii::t('app', 'page_url'),
        ];
    }
}
