<?php

/**
 * @author: Lukasz Sosna
 * @copyright: 2017-11-29
 * @e-mail: tree@interia.pl
 * @www: http://en.lukasz.sos.pl/
 * @version: 1.0.0
 */
 
use yii\helpers\Html;
use yii\widgets\ActiveForm;

?>

<div class="downloadadmin-form">

    <?php $form = ActiveForm::begin([
    'enableAjaxValidation' => false,
    'enableClientValidation' => false,
    ]); ?>

    <?= $form->field($model, 'download_title')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'download_text')->textarea(['rows' => 6]) ?>

    <?= $form->field($model, 'download_file')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'download_version')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'download_filesize')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'download_license')->textInput(['maxlength' => true]) ?>

    <div class="form-group">
        <?= Html::submitButton($model->isNewRecord ? Yii::t('app', 'a_download_add_file') : Yii::t('app', 'a_download_update_file'), ['class' => $model->isNewRecord ? 'btn btn-success' : 'btn btn-primary']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>
