<?php

/**
 * @author: Lukasz Sosna
 * @copyright: 2017-11-29
 * @e-mail: tree@interia.pl
 * @www: http://en.lukasz.sos.pl/
 * @version: 1.0.0
 */
 
namespace app\models;

use Yii;

class Contactadmin extends \yii\db\ActiveRecord
{
    public static function tableName()
    {
        return '{{%contact}}';
    }

    public function rules()
    {
        return [
            [['contact_email', 'contact_name'], 'required'],
            [['contact_email'], 'string', 'max' => 75],
            [['contact_name'], 'string', 'max' => 55],
            [['contact_email'], 'email'],
        ];
    }

    public function attributeLabels()
    {
        return [
                'contact_id' => Yii::t('app', 'contact_id'),
                'contact_email' => Yii::t('app', 'contact_email'),
                'contact_name' => Yii::t('app', 'contact_name'),
                'contact_from' => Yii::t('app', 'contact_from'),
                'contact_title' => Yii::t('app', 'contact_title'),
                'contact_body' => Yii::t('app', 'contact_body'),
                'contact_sendme' => Yii::t('app', 'contact_sendme'),
                'contact_captcha' => Yii::t('app', 'contact_captcha'),
        ];
    }
}
