<?php

/**
 * @author: Lukasz Sosna
 * @copyright: 2017-11-29
 * @e-mail: tree@interia.pl
 * @www: http://en.lukasz.sos.pl/
 * @version: 1.0.0
 */
 
namespace app\models;

use Yii;

class Downloadstatsadmin extends \yii\db\ActiveRecord
{
    public static function tableName()
    {
        return '{{%download_stats}}';
    }

    public function rules()
    {
        return [
            [['stat_browser', 'stat_file', 'stat_date', 'stat_ip'], 'required'],
            [['stat_date'], 'safe'],
            [['stat_browser'], 'string', 'max' => 75],
            [['stat_file'], 'string', 'max' => 65],
            [['stat_ip'], 'string', 'max' => 15],
        ];
    }

    public function attributeLabels()
    {
        return [
            'stat_id' => Yii::t('app', 'stat_id'),
            'stat_browser' => Yii::t('app', 'stat_browser'),
            'stat_file' => Yii::t('app', 'stat_file'),
            'stat_date' => Yii::t('app', 'stat_date'),
            'stat_ip' => Yii::t('app', 'stat_ip'),
        ];
    }
}
