<?php

/**
 * @author: Lukasz Sosna
 * @copyright: 2017-11-29
 * @e-mail: tree@interia.pl
 * @www: http://en.lukasz.sos.pl/
 * @version: 1.0.0
 */
 
use yii\helpers\Html;

$this->title = Yii::t('app', 'p_download_header');
$this->params['breadcrumbs'][] = $this->title;

for($Files=0;$Files<count($modelData);$Files++)
{
    echo '<h2>'.$modelData[$Files]['download_title'].'</h2>';
    echo Html::a(Yii::t('app', 'p_download_button').' '.$modelData[$Files]['download_title'], ['/download/'.$modelData[$Files]['download_id'].'/'.urlencode($modelData[$Files]['download_file'])], ['class'=>'btn btn-primary grid-button']).'<br /><br />';
    echo Yii::t('app', 'p_download_version').' <strong>'.$modelData[$Files]['download_version'].'</strong>, '.Yii::t('app', 'p_download_filesize').' <strong>'.$modelData[$Files]['download_filesize'].'</strong>, '.Yii::t('app', 'p_download_license').' <strong>'.$modelData[$Files]['download_license'].'</strong><br />';
    echo $modelData[$Files]['download_text'];
}

?>