<?php

/**
 * @author: Lukasz Sosna
 * @copyright: 2017-11-29
 * @e-mail: tree@interia.pl
 * @www: http://en.lukasz.sos.pl/
 * @version: 1.0.0
 */
 
use yii\helpers\Html;
use yii\grid\GridView;

$this->title = Yii::t('app', 'a_aplication_logs_header');
$this->params['breadcrumbs'][] = ['label' => Yii::t('app', 'a_admin'), 'url' => ['/admin/index']];
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="blogadmin-index">

    <h1><?= Html::encode($this->title) ?></h1>

    <?= GridView::widget([
        'dataProvider' => $dataProvider,
        'columns' => [
            ['class' => 'yii\grid\SerialColumn'],
            
                'log_id',
                [
                    'label' => 'User',
                    'class' => 'yii\grid\DataColumn',
                    'value' => function ($data) {
                        global $TableUsers;
                        return $data->SelectUser($data->log_user_id);
                    },
                ],
                'log_what',
                'log_time',
                'log_ip',
        ],
    ]); ?>
</div>
